Download it now!
Bug 93719 - MAILMERGE: Freezes On "Step 5: Adjust Layout" in OS X Or Does Not Show Preview on Windows 7
Summary: MAILMERGE: Freezes On "Step 5: Adjust Layout" in OS X Or Does Not Show Previe...
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.0.0.5 release
Hardware: x86-64 (AMD64) Mac OS X (All)
: high major
Assignee: Not Assigned
URL:
Whiteboard: target:5.1.0
Keywords: regression
Depends on:
Blocks: Mail-Merge
  Show dependency treegraph
 
Reported: 2015-08-27 19:23 UTC by Kay Wrobel
Modified: 2018-04-08 18:30 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Sample addresses for Mail Merge Wizard. The data is copied from a file that was downloaded from another Internet location here: http://spreadsheetpage.com/index.php/file/mail_merge_demo/ (17.36 KB, application/vnd.oasis.opendocument.spreadsheet)
2015-08-27 19:23 UTC, Kay Wrobel
Details
Apple stack trace at hang (714.42 KB, text/plain)
2017-07-21 12:49 UTC, Alex Thurgood
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Kay Wrobel 2015-08-27 19:23:42 UTC
Created attachment 118231 [details]
Sample addresses for Mail Merge Wizard. The data is copied from a file that was downloaded from another Internet location here: http://spreadsheetpage.com/index.php/file/mail_merge_demo/

Running the Mail Merge wizard in LibreOffice 5 Writer hangs on "Step 5: Adjust Layout" and requires user to force-quit the program. On Windows 7, this step will not hang, but the expected preview frame inside the left panel does not show. In addition (on Windows), once user steps forward to Step 6 and then decides to click "Go back", the wizard moves to Step 4 and Step 5 is greyed out and inaccessible from that point on.

Steps to reproduce the problem for OS X:

1. Open LibreOffice and start a new Writer Document.
2. Click on Tools, Mail Merge Wizard.
3. Select "Start from a template" radio button
4. Click "Browse" button
5. Select "Business Correspondence" from Categories and "Modern Business Letter" from the Templates list. Then click "ok"
6. Click "Next"
7. Choose "Letter" and click "Next"
8. Click "Select Address List..."
9. Click "Add..."
10.Browse to the file containing the address data (you can use the spreadsheet I attached to this bug report)
11.Select the newly added file data source and click "Ok"
12.Verify that item "4. Check if the address data matches correctly" has all the fields properly mapped (if you use the attached file, they should all be populated now)
13.Click "Next"
14. Leave all things as is on the "Create a salutation" wizard page (Step 4) and click "Next"

At this point, the wizard will move to Step 5 and display "Adjust Layout" panel. It will show several fields towards the left side of the right panel area. The right side of the right panel area should normally display a Preview window. Instead, LibreOffice 5 will now become unresponsive and a spinning "Beach Ball" will appear, indicating that the application is not responding. It will stay like this until the user force-quits LibreOffice.

On Windows 7, this step will also look exactly the same with no preview showing in the right side of the right panel, but LibreOffice will allow user to continue the wizard. So on Windows 7, follow the next steps to see the other odd behavior which I think may be related to this bug:

15.The wizard is now on "Step 6: Edit Document". At this point, the list of steps in the left panel show "Step 5. Adjust Layout" as greyed out. Click "Back" button
16.The wizard will step over "Step 5" straight back to "Step 4". User will expect to be back on "Step 5" instead.
17.Click "Next". The wizard will step over "Step 5" again straight to "Step 6"

On Windows 7, if the user continues with the wizard, properly merged documents will be created. On OS X, the wizard cannot be completed and the user is left without any merged document(s).

I am using the version indicated in this bug report (5.0.1.2 release) on both OS X (Yosemite) and Windows 7 SP1.
Comment 1 Kay Wrobel 2015-08-27 19:30:33 UTC
I would like to add that I have tested LibreOffice 4.4.5 on the same OS X Yosemite and Windows 7 computers, and the Wizard does not hang on "Step 5" and shows a mostly white preview frame in the right side of the right panel, representing a page and showing the location of the Address block and where the salutation would go on the page. That is the expected behavior.

There is a possibility that this bug is a duplicate of bug #65743 (https://bugs.documentfoundation.org/show_bug.cgi?id=65743) for LibreOffice 4.4.0, which has been flagged as verified and fixed for LibreOffice 4.4.1.
Comment 2 Kay Wrobel 2015-08-27 19:36:25 UTC
FYI Regarding the attached spreadsheet: It is not the original file that was downloaded from referenced URL. Instead, I have copied just the data portion into a new spreadsheet since the original file contained other sheets and also macros and I wanted to keep the spreadsheet as clean as possible.
Comment 3 Alex Thurgood 2015-08-28 09:34:53 UTC
I can reproduce this issue on

Version: 5.0.0.5
Build ID: 1b1a90865e348b492231e1c451437d7a15bb262b
Locale : fr-FR (fr.UTF-8)
Comment 4 Alex Thurgood 2015-08-28 09:35:34 UTC
Tested on OSX 10.10.5
Comment 5 Alex Thurgood 2015-08-28 09:38:53 UTC
@Caolan : seems like bug 65743 has resurfaced again, possibly in a different manifestation, but at same place in wizard UI
Comment 6 Alex Thurgood 2015-08-28 09:42:16 UTC
Wizard does indeed go to completion on

Version: 4.4.5.2
Build ID: a22f674fd25a3b6f45bdebf25400ed2adff0ff99
Locale: fr.UTF-8
Comment 7 Alex Thurgood 2015-08-28 09:45:35 UTC
Wizard also completes correctly in 

Version: 5.0.0.2
Build ID: a26d58f11b99b6aeddf7f7884effea188cc6e512
Locale: fr-FR (fr.UTF-8)

so bibisect range between 5.0.0.2 and 5.0.0.5
Comment 8 Kay Wrobel 2015-08-29 01:52:26 UTC
I am currently testing this with LibreOffice 5.0.1.2 on Ubuntu 14.04 64-bit Linux, and the wizard does not crash or hang as on OS X, but it behaves exactly as the Windows 7 version in that it doesn't show a preview on Step 5 and after stepping forward to Step 6, Step 5 becomes inactive and any step back and then forward will skip over Step 5. So exactly like under Windows 7. But at least no hang like under OS X. But I bet that the OS X build just doesn't handle whatever is causing the preview to not appear in the other platforms gracefully. I bet it is all related. But a developer familiar with all three platforms would have to determine that.
Comment 9 Commit Notification 2015-09-03 08:44:46 UTC
Oliver Specht committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a1fd97308d7fc7a35a5def1e15a05099dba90f91

tdf#93719: handle 'HideWhitespace' in SwXViewSettings

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 10 Kay Wrobel 2015-09-03 13:57:40 UTC
Thank you Oliver. Once the build is available for Mac OS X I will test again and report back.
Comment 11 Timur 2016-02-03 18:07:10 UTC
Is this fixed?
Comment 12 Robinson Tryon (qubit) 2016-05-11 23:05:11 UTC
TESTING with
LO 5.2.0.0.alpha1+
OS Version: Mac OS X 10.10.5
Build: 2016-05-11_01:01:27

(In reply to Kay Wrobel from comment #0)
> Steps to reproduce the problem for OS X:
> 
> 1. Open LibreOffice and start a new Writer Document.
> 2. Click on Tools, Mail Merge Wizard.
> 3. Select "Start from a template" radio button
> 4. Click "Browse" button
> 5. Select "Business Correspondence" from Categories and "Modern Business
> Letter" from the Templates list. Then click "ok"
> 6. Click "Next"
> 7. Choose "Letter" and click "Next"
> 8. Click "Select Address List..."
> 9. Click "Add..."
> 10.Browse to the file containing the address data (you can use the
> spreadsheet I attached to this bug report)

[ attachment 118231 [details] ]

> 11.Select the newly added file data source and click "Ok"
> 12.Verify that item "4. Check if the address data matches correctly" has all
> the fields properly mapped (if you use the attached file, they should all be
> populated now)
> 13.Click "Next"
> 14. Leave all things as is on the "Create a salutation" wizard page (Step 4)
> and click "Next"
> 
> At this point, the wizard will move to Step 5 and display "Adjust Layout"
> panel. It will show several fields towards the left side of the right panel
> area. The right side of the right panel area should normally display a
> Preview window. Instead, LibreOffice 5 will now become unresponsive and a
> spinning "Beach Ball" will appear, indicating that the application is not
> responding. It will stay like this until the user force-quits LibreOffice.

CONFIRMED -- unresponsiveness persists with daily build.
Comment 13 Oliver Specht (CIB) 2016-05-13 05:41:30 UTC
Reassinged to default - cannot reproduce here due to a lack of a MAC ;)
Comment 14 Marco Filippozzi 2016-06-16 08:54:41 UTC
Step 5 on 5.1.3.2 and 5.0.6.3 seems really bugged. On Linux it crashes is the parameters are invalid or if you press Align text to body, and when you press Next instead of Enter to advance to steps 6.
It's fixed on 5.2.0.0 and 5.3.0.0
Comment 15 Robinson Tryon (qubit) 2016-07-07 13:57:01 UTC
TESTING with
LO 5.2.0.2
OS Version: Mac OS X 10.10.5

(In reply to Robinson Tryon (qubit) from comment #12)
> > 1. Open LibreOffice and start a new Writer Document.
> > 2. Click on Tools, Mail Merge Wizard.
> > 3. Select "Start from a template" radio button
> > 4. Click "Browse" button
> > 5. Select "Business Correspondence" from Categories and "Modern Business
> > Letter" from the Templates list. Then click "ok"
> > 6. Click "Next"
> > 7. Choose "Letter" and click "Next"
> > 8. Click "Select Address List..."
> > 9. Click "Add..."
> > 10.Browse to the file containing the address data (you can use the
> > spreadsheet I attached to this bug report)
> 
> [ attachment 118231 [details] ]
> 
> > 11.Select the newly added file data source and click "Ok"
> > 12.Verify that item "4. Check if the address data matches correctly" has all
> > the fields properly mapped (if you use the attached file, they should all be
> > populated now)
> > 13.Click "Next"
> > 14. Leave all things as is on the "Create a salutation" wizard page (Step 4)
> > and click "Next"
> > 
> > At this point, the wizard will move to Step 5 and display "Adjust Layout"
> > panel. It will show several fields towards the left side of the right panel
> > area. The right side of the right panel area should normally display a
> > Preview window.

Step 5 appears as expected.

> > Instead, LibreOffice 5 will now become unresponsive and a
> > spinning "Beach Ball" will appear, indicating that the application is not
> > responding. It will stay like this until the user force-quits LibreOffice.

LibreOffice does not become unresponsive, HOWEVER when I click the 'Finish' button, the document disappears and I get a message box with "Due to an unexpected error, LibreOffice crashed"

It's not immediately obvious to me if these are two different bugs, or just two different displays of the same underlying issue, so I'll leave this bug filed in NEW.

Oliver: Thoughts?
Comment 16 Dallas 2017-07-21 00:34:52 UTC
Using Libre Office 5.2.7.2 and 5.3.2.4, I was trying to print labels in mail merge and I tried on two different computers When going to the Mail Merge, it would go to page 4 but not skip page 5 and go on to page 6. Clicking the NEXT button would not do anything. Finish gave me the label sheet but only with the Field info and not the information from the data base. Viewing the Data information showed the right source. Tried from a few different data bases but with the same results. I downloaded Open Office 4.1 and printed the labels with ho problem. I had used Open Office before but had changed over to Libre Office. I am disappointed that I could print labels by Mail Merge in Open Office but not Libre Office.
Comment 17 Alex Thurgood 2017-07-21 12:49:07 UTC
Confirming that bug still present on LO 5342 OSX 10.12.6

Enclosing Apple Stack trace
Comment 18 Alex Thurgood 2017-07-21 12:49:37 UTC
Created attachment 134765 [details]
Apple stack trace at hang
Comment 19 eisa01 2018-04-08 18:30:36 UTC
I do not get a hang on the adjust layout step, so resolving this as works for me

Version: 6.0.2.1
Build ID: f7f06a8f319e4b62f9bc5095aa112a65d2f3ac89
CPU threads: 2; OS: Mac OS X 10.12.6; UI render: default; 
Locale: en-US (en_US.UTF-8); Calc: group